import { Suggestion, Suggestions } from './types';
export declare function selectContentEditable(element: HTMLElement): void;
export declare function filterSuggestions(filter: string, suggestions: Suggestions, maxLength?: number): Suggestion[] | {
    [x: string]: Suggestion[];
};
export declare function excludeSuggestions(filter: Suggestion[], suggestions: Suggestions): Suggestion[] | {
    [x: string]: Suggestion[];
};
export declare function validateSuggestion(filter: string, suggestion: Suggestion): boolean;
export declare function moveSuggestion(suggestions: Suggestions, selectedSuggestion: Suggestion | null, moveBy: number): Suggestion | null;
